# FairMQ: fair::mq::shmem::UnmanagedRegion Class Reference

fair::mq::shmem::UnmanagedRegion Class Referencefinal
Inheritance diagram for fair::mq::shmem::UnmanagedRegion:
[legend]
Collaboration diagram for fair::mq::shmem::UnmanagedRegion:
[legend]

## Public Member Functions

| UnmanagedRegion (Manager &manager, const size_t size, const int64_t userFlags, RegionCallback callback, RegionBulkCallback bulkCallback, const std::string &path="", int flags=0, FairMQTransportFactory *factory=nullptr)
void * | GetData () const override
size_t | GetSize () const override
uint16_t | GetId () const override
void | SetLinger (uint32_t linger) override
uint32_t | GetLinger () const override
Public Member Functions inherited from FairMQUnmanagedRegion
| FairMQUnmanagedRegion (FairMQTransportFactory *factory)
FairMQTransportFactory * | GetTransport ()
void | SetTransport (FairMQTransportFactory *transport)

## Friends

class | Message
class | Socket

The documentation for this class was generated from the following file:

- fairmq/shmem/UnmanagedRegion.h

privacy